Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jul 2022 16:37:21 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi, 
So I bought some clothes from Centrepoint oasis mall, dubai, and the staff at the counter told me they’ll email me the receipt. Which they still haven’t. 
I called your helpline, and  they told me there’s nothing they can do and I have to visit the store again. 
Please explain, how you expect tourists to go around dubai, trying to claim receipts for refund or returns, which your staff hasn’t provided ?? 
Also, I can’t verify the money charged on my account which was much more than the stuff I purchased!!
Please let me know how to go about this ? 
I’m Visiting from Saudi, and this has been a very disappointing  experience with Centrepoint here, which I never expected. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4661777